
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Varnish Glossary &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="prev" title="Notes from the Architect" href="../phk/notes.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../phk/notes.html" title="Notes from the Architect"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Varnish Glossary</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="varnish-glossary">
<span id="glossary"></span><h1>Varnish Glossary<a class="headerlink" href="#varnish-glossary" title="Permalink to this headline">¶</a></h1>
<dl class="glossary simple">
<dt id="term-..">..<a class="headerlink" href="#term-.." title="Permalink to this term">¶</a></dt><dd><p>This file will be sorted automagically during formatting,
so we keep the source in subject order to make sure we
cover all bases.</p>
</dd>
<dt id="term-backend">backend<a class="headerlink" href="#term-backend" title="Permalink to this term">¶</a></dt><dd><p>The HTTP server varnishd is caching for.  This can be
any sort of device that handles HTTP requests, including, but
not limited to: a webserver, a CMS, a load-balancer
another varnishd, etc.</p>
</dd>
<dt id="term-backend-response">backend response<a class="headerlink" href="#term-backend-response" title="Permalink to this term">¶</a></dt><dd><p>The response specifically served from a backend to
varnishd. The backend response may be manipulated in
vcl_backend_response.</p>
</dd>
<dt id="term-body">body<a class="headerlink" href="#term-body" title="Permalink to this term">¶</a></dt><dd><p>The bytes that make up the contents of the object, varnishd
does not care if they are in HTML, XML, JPEG or even EBCDIC,
to varnishd they are just bytes.</p>
</dd>
<dt id="term-client">client<a class="headerlink" href="#term-client" title="Permalink to this term">¶</a></dt><dd><p>The program which sends varnishd an HTTP request, typically
a browser, but do not forget to think about spiders, robots
script-kiddies and criminals.</p>
</dd>
<dt id="term-header">header<a class="headerlink" href="#term-header" title="Permalink to this term">¶</a></dt><dd><p>An HTTP protocol header, like “Accept-Encoding:”.</p>
</dd>
<dt id="term-hit">hit<a class="headerlink" href="#term-hit" title="Permalink to this term">¶</a></dt><dd><p>An object Varnish delivers from cache.</p>
</dd>
<dt id="term-master-process">master (process)<a class="headerlink" href="#term-master-process" title="Permalink to this term">¶</a></dt><dd><p>One of the two processes in the varnishd program.
The master process is a manager/nanny process which handles
configuration, parameters, compilation of :term:VCL etc.
but it does never get near the actual HTTP traffic.</p>
</dd>
<dt id="term-miss">miss<a class="headerlink" href="#term-miss" title="Permalink to this term">¶</a></dt><dd><p>An object Varnish fetches from the backend before it is served
to the client.  The object may or may not be put in the cache,
that depends.</p>
</dd>
<dt id="term-object">object<a class="headerlink" href="#term-object" title="Permalink to this term">¶</a></dt><dd><p>The (possibly) cached version of a backend response. varnishd
receives a response from the backend and creates an object,
from which it may deliver cached responses to clients. If the
object is created as a result of a request which is passed, it
will not be stored for caching.</p>
</dd>
<dt id="term-pass">pass<a class="headerlink" href="#term-pass" title="Permalink to this term">¶</a></dt><dd><p>An object Varnish does not try to cache, but simply fetches
from the backend and hands to the client.</p>
</dd>
<dt id="term-pipe">pipe<a class="headerlink" href="#term-pipe" title="Permalink to this term">¶</a></dt><dd><p>Varnish just moves the bytes between client and backend, it
does not try to understand what they mean.</p>
</dd>
<dt id="term-request">request<a class="headerlink" href="#term-request" title="Permalink to this term">¶</a></dt><dd><p>What the client sends to varnishd and varnishd sends to the backend.</p>
</dd>
<dt id="term-response">response<a class="headerlink" href="#term-response" title="Permalink to this term">¶</a></dt><dd><p>What the backend returns to varnishd and varnishd returns to
the client.  When the response is stored in varnishd’s cache,
we call it an object.</p>
</dd>
<dt id="term-varnishd-NB-with-d">varnishd (NB: with ‘d’)<a class="headerlink" href="#term-varnishd-NB-with-d" title="Permalink to this term">¶</a></dt><dd><p>This is the actual Varnish cache program.  There is only
one program, but when you run it, you will get <em>two</em>
processes:  The “master” and the “worker” (or “child”).</p>
</dd>
<dt id="term-varnishhist">varnishhist<a class="headerlink" href="#term-varnishhist" title="Permalink to this term">¶</a></dt><dd><p>Eye-candy program showing response time histogram in 1980s
ASCII-art style.</p>
</dd>
<dt id="term-varnishlog">varnishlog<a class="headerlink" href="#term-varnishlog" title="Permalink to this term">¶</a></dt><dd><p>Program which presents varnish transaction log in native format.</p>
</dd>
<dt id="term-varnishncsa">varnishncsa<a class="headerlink" href="#term-varnishncsa" title="Permalink to this term">¶</a></dt><dd><p>Program which presents varnish transaction log in “NCSA” format.</p>
</dd>
<dt id="term-varnishstat">varnishstat<a class="headerlink" href="#term-varnishstat" title="Permalink to this term">¶</a></dt><dd><p>Program which presents varnish statistics counters.</p>
</dd>
<dt id="term-varnishtest">varnishtest<a class="headerlink" href="#term-varnishtest" title="Permalink to this term">¶</a></dt><dd><p>Program to test varnishd’s behaviour with, simulates backend
and client according to test-scripts.</p>
</dd>
<dt id="term-varnishtop">varnishtop<a class="headerlink" href="#term-varnishtop" title="Permalink to this term">¶</a></dt><dd><p>Program which gives real-time “top-X” list view of transaction log.</p>
</dd>
<dt id="term-VCL">VCL<a class="headerlink" href="#term-VCL" title="Permalink to this term">¶</a></dt><dd><p>Varnish Configuration Language, a small specialized language
for instructing Varnish how to behave.</p>
</dd>
<dt id="term-worker-process">worker (process)<a class="headerlink" href="#term-worker-process" title="Permalink to this term">¶</a></dt><dd><p>The worker process is started and configured by the master
process.  This is the process that does all the work you actually
want varnish to do.  If the worker dies, the master will try start
it again, to keep your website alive.</p>
</dd>
</dl>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="../phk/notes.html"
                        title="previous chapter">Notes from the Architect</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/glossary/index.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../phk/notes.html" title="Notes from the Architect"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Varnish Glossary</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>